MagicMirror² v2.8.0 is available! For more information about this release, check out this topic.

MMM-FRITZ-Box-Callmonitor



  • Hello everybody,

    first of all @ostfilinchen: Thank you for your great support!

    I just want to tell you, that kwaeksler is not the only one facing this problem.
    Exactly this problem also appears on my MagicMirror installation.

    Currently i have no possibility to check anything regarding my MagicMirror installation, but as soon as i have time (this weekend) i’m going to catch some more information that may be helpful for you (firmware version FritzBox, config MagicMirror, …).

    I already tried
    sudo apt-get update
    sudo reboot
    without succes.

    Additionally i’m going to try
    sudo apt-get update
    sudo apt-get dist-upgrade
    sudo reboot

    Best regards
    Aaron



  • @ostfilinchen

    Yes, i updated the pi yesterday with:

    sudo apt-get update
    sudo apt-get dist-upgrade
    sudo reboot

    after a long time of waiting the same warning sign 😞



  • @kwaeksler which nodejs Version Do u have? You can Check this with nodejs -v

    My Version is 7.4.0

    Maybe it’s a good idea to update this with
    curl -sL https://deb.nodesource.com/setup_7x | sudo -E bash -
    sudo apt-get install -y nodejs
    sudo npm install -g npm
    sudo npm install -g npm



  • @ostfilinchen i had the nodejs Version 6.9.4.

    So i updated the version with:

    curl -sL https://deb.nodesource.com/setup_7.x | sudo -E bash -
    sudo apt-get install -y nodejs
    sudo npm install -g npm
    

    Now i have Version v7.4.0 but still the same error like before 😞



  • @kwaeksler do you really have Version 7.4.0? in some cases you must execute the command sudo npm install -g npm two times.

    if you’re sure that u have v7.4.0 and the module doesn’t work, please delete the Folder of the module (MMM-FRITZ-Box-Callmonitor) and reinstall again.


  • Moderator

    @kwaeksler Also, is there any new output in the logs?



  • Hi alltogether,

    as suggested by ostfilinchen i updated nodejs with the same commands as kwaekler: Also without success 😞
    In addition and also suggested by ostfilinchen i removed the module folder and reinstalled the module again: Also without success 😞

    @Jopyth (btw: Thank you for supporting us!):

    mm-error-0.log tells me the following

    MMM-FRITZ-Box-Callmonitor error while accessing FRITZ!Box: 
    Traceback (most recent call last):
      File "/home/pi/MagicMirror/modules/MMM-FRITZ-Box-Callmonitor/fritz_access.py", line 1, in 
        import argparse, os, fritzconnection, urllib2, sys, json
      File "/usr/local/lib/python2.7/dist-packages/fritzconnection/__init__.py", line 3, in 
        from .fritzconnection import (
      File "/usr/local/lib/python2.7/dist-packages/fritzconnection/fritzconnection.py", line 39, in 
        from lxml import etree
    ImportError: No module named lxml
    

    As promissed before just some additional environmental informations from my side:

    • Fritz!Box Fon WLAN 7390 (UI) with Fritz!OS, Version 06.51
    • Raspberry Pi 2 Model B V1.1, OS: 2016-11-25-raspbian-jessie-lite
    • Nodejs version 7.4.0
    • extract from config-.js regarding the module:
    	{
    			module: 'MMM-FRITZ-Box-Callmonitor',
    			position: 'top_right',  // This can be any of the regions. Best results in left or right regions.
    			header: "Kürzliche Anrufe", // This is optional
    			config: {
    				fritzIP: '10.0.1.1',
    				username: 'magicmirror',
    				password: '**********',
    				reloadContactsInterval: 5,
    				debug: true,
    				showContactsStatus: true
    			}
    		},
    


  • @boardnick can u Login to the fritz.box with the User MagicMirror and the password?



  • @ostfilinchen yes i’m able to login using this user / password.


  • Moderator

    @boardnick From your logs I read, that lxml is not installed, did you execute step 3 of the installation?

    Edit: Did anything during execution of this command go wrong? sudo apt-get install python-dev libxml2-dev libxslt1-dev zlib1g-dev && sudo pip install fritzconnection